<% Option Explicit %>
<%
Dim APServer, APPrinter
Dim strText, arrZeilen, intI 
Dim physOutputDirectory, OutputDirectory, lRet
Dim physPDFFileName, PDFFileName

strText = "Dies ist ein Probetext." & vbcrlf & _
  "Sie knnen diesen Text lesen, also hat es funktioniert!"

' Die Datei wird in das Root Verzeichnis geschrieben:
OutputDirectory = "/"
physOutputDirectory = Server.MapPath(OutputDirectory)

' Instanziere activePDF Server Objekt
Set APServer = Server.CreateObject("APServer.Object")

' Instanziere activePDF Printer Objekt
Set APPrinter = Server.CreateObject("APPrinter.Object")

' Ausgabe Verzeichnis zum Schreiben des PDF Dokumentes
APServer.OutputDirectory = physOutputDirectory

' Erstellungsvorgang des PDF Dokumentes am Server starten
lRet = APServer.StartPrinting() 
If (lRet <> 0) Then
	Response.Write  "Fehler bei StartPrinting aufgetreten!"
	Response.End
End If

' Erstellen des Dokumentes beginnen:
' APServer.NewPrinterName liefert den Namen
' fuer die temporaere Spooling Datei
APPrinter.StartDoc APServer.NewPrinterName

' Font und Schriftgroesse festlegen
APPrinter.FontName = "Arial"
APPrinter.FontSize = 24

' Text zum PDF Dokument schreiben
arrZeilen = Split(strText , vbcrlf)
For intI = 0 to UBound(arrZeilen)
	APPrinter.PrintText arrZeilen(intI), 0
Next

' Erstellen des Dokumentes ist beendet 
APPrinter.EndDoc

' Warten bis der PDF Job beendet ist. 
lRet = APServer.Wait(3)  ' Maximale Wartezeit: 3 Sekunden
If (lRet <> 0) then
	APServer.StopPrinting
	Response.Write  "Es ist ein Fehler aufgetreten!"
	Set APPrinter = Nothing
	Set APServer = Nothing
	Response.End
End If

' Erstellungsvorgang des PDF Dokumentes am Server ist fertig
APServer.StopPrinting

' PDF Datei mit phsyikalischem und virtuellem Pfad:
physPDFFileName = APServer.OutputDirectory & "\" & _
   APServer.NewUniqueID & ".PDF"
PDFFileName = OutputDirectory &  APServer.NewUniqueID & ".PDF"

' Nachricht zum Browser schreiben
Response.Write "Das PDF Dokument<br><b>" & physPDFFileName & _
   "</b><br>wurde erzeugt und steht unter <br><b>" & _
   "<a href=""" & PDFFileName & """>" & PDFFileName & "</a></b>" & _
   "<br>zum Download bereit."

' WICHTIG: Resourcen der Objekte wieder freigeben
Set APPrinter = Nothing
Set APServer  = Nothing
%>
